Summary
Preserve incoming form data format
Description
Find and revert containers object/array mutation
Route
POST /formbuilder/preserveFormData
Roles
admin
apiread
operator
Parameters
DetailsExampleSchema
| Name |
Type |
Required |
Description |
| form_name |
string |
yes |
Form name |
| data |
object |
yes |
Form output data to convert |
Copied to Clipboard
{
"form_name": "Form 123",
"data": {
"name": "Form 123",
"children": [
{
"type": "field",
"name": "ipaddress",
"properties": {
"type": "string",
"prefix": ""
},
"description": "IP address",
"element": "{\"type\":\"method\",\"id\":{\"name\":\"method_name_1\"}}",
"source_type": "method",
"source": "method_name_1",
"id": "a40044c2-f378-4b2b-a81a-41d78979e583",
"yangkey": "",
"key": "method_name_1.ipAddress"
},
{
"type": "field",
"name": "ipaddress",
"properties": {
"type": "string",
"prefix": ""
},
"description": "IP address",
"element": "{\"type\":\"method\",\"id\":{\"name\":\"method_name_1\"}}",
"source_type": "method",
"source": "method_name_1",
"id": "a40044c2-f378-4b2b-a81a-41d78979e583",
"yangkey": "",
"key": "method_name_1.ipAddress"
}
],
"elements": [
{
"type": "method",
"id": {
"name": "method_name_1"
}
}
],
"_id": "848c2c7a-b06c-3afd-b368-dbefe8e59267",
"groups": [
"d85f3c592f454c4acd280524",
"ae2b8e8ac881718d55a28ed4",
"a8b9a4d5ad445fbd3d6118d9",
"22c38d456f24257648c5a967"
],
"created": "1990-03-27T12:19:43.063Z",
"created_by": "340fc06e10134e66f62ae16b",
"last_updated": "1976-05-27T12:43:58.292Z",
"last_updated_by": "8e0c7c363a129f895c59cb92"
}
}
Copied to Clipboard
{
"type": "object",
"properties": {
"form_name": {
"title": "form_name",
"$ref": "formDocument#/definitions/formName"
},
"data": {
"title": "data",
"$ref": "formDocument"
}
},
"required": [
"form_name",
"data"
],
"additionalProperties": false
}
Return
DetailsExampleSchema
| Name |
Type |
Description |
| data |
object |
Forms details |
Copied to Clipboard
{
"name": "Form 123",
"children": [
{
"type": "field",
"name": "ipaddress",
"properties": {
"type": "string",
"prefix": ""
},
"description": "IP address",
"element": "{\"type\":\"method\",\"id\":{\"name\":\"method_name_1\"}}",
"source_type": "method",
"source": "method_name_1",
"id": "a40044c2-f378-4b2b-a81a-41d78979e583",
"yangkey": "",
"key": "method_name_1.ipAddress"
},
{
"type": "field",
"name": "ipaddress",
"properties": {
"type": "string",
"prefix": ""
},
"description": "IP address",
"element": "{\"type\":\"method\",\"id\":{\"name\":\"method_name_1\"}}",
"source_type": "method",
"source": "method_name_1",
"id": "a40044c2-f378-4b2b-a81a-41d78979e583",
"yangkey": "",
"key": "method_name_1.ipAddress"
},
{
"type": "field",
"name": "ipaddress",
"properties": {
"type": "string",
"prefix": ""
},
"description": "IP address",
"element": "{\"type\":\"method\",\"id\":{\"name\":\"method_name_1\"}}",
"source_type": "method",
"source": "method_name_1",
"id": "a40044c2-f378-4b2b-a81a-41d78979e583",
"yangkey": "",
"key": "method_name_1.ipAddress"
},
{
"type": "field",
"name": "ipaddress",
"properties": {
"type": "string",
"prefix": ""
},
"description": "IP address",
"element": "{\"type\":\"method\",\"id\":{\"name\":\"method_name_1\"}}",
"source_type": "method",
"source": "method_name_1",
"id": "a40044c2-f378-4b2b-a81a-41d78979e583",
"yangkey": "",
"key": "method_name_1.ipAddress"
}
],
"elements": [
{
"type": "method",
"id": {
"name": "method_name_1"
}
}
],
"_id": "80ef396f-f782-ca64-8c03-7d1289791e2c",
"groups": [
"b063896559ad33308a2db885",
"bda27c81387afbe5baac3557",
"99cbbd8f32573751cd47b0b8"
],
"created": "1954-12-22T14:47:08.003Z",
"created_by": "ef5f3d8caeee9dcf1fc27652",
"last_updated": "1963-02-28T04:38:00.798Z",
"last_updated_by": "21847995a3e63bb2f548fd59"
}